% last edited on 20220722 AB Updated CT sail to sn 191 + calib. constants, updated mission title
% last edited on 20210811 AKP Updated regression coefficients and volmax
% last edited on 20210630 AB Updated mission_title
% last edited on 20210616 AKP Updated mass and volmax
% last edited on 20201215 AKP Included optode_FoilCoefB8=0
% last edited on 20201026 TdeL
% last edited on 20200918 AKP
% last edited on 20190712 IHE
% last edited on 20190710 R.Healy
% Template file for sg_calib_constants.m, Kongsberg Document No. 4000122
% Applies to SGxxx_trim_sheet_ocean_for_mission_xxx_yyyymmdd.xlsx

% basic glider and mission params
    id_str='560';
    mission_title='SWOT_lofoten_may2023';
	mass=54.412; %kg 20210616 Weighed in lab 
%    volmax=53368 %cc 20210616 Updated from trim sheet
% 	volmax = 53317.1; %cc 20210811 From vbd_regress
    rho0=1028.00;% kg/m3 20190712 IHE 

% % initial hydrodynamic model params
%    hd_a=3.83600000E-03;
%    hd_b=1.00780000E-02;
%    hd_c=9.85000000E-06;
% Hydrodynamic model parameters from vbd_regress 
% 	hd_a = 3.10933e-03;
% 	hd_b = 1.06249e-02;
	hd_c = 9.67863e-14;

% Hydrodynamic model parameters from vbd_regress. Added by EK
% 04-Aug-2022 09:56:47 RMS=0.9078 cm/s SIOS_WSC Jul2022 Dives: 31 40 45:52 55 57 60
%volmax = 53315.9;
%hd_a = 2.80898e-03;
%hd_b = 1.19377e-02;
% hd_c = 3.81113e-12; not used 

% 25-May-2023 14:27:44 RMS=1.7376 cm/s SWOT_lofoten_may2023 Dives: 24:27
% FE
volmax = 53457.5;
hd_a = 3.44445e-03;
hd_b = 1.04964e-02;
% hd_c = 9.79972e-14;

    
% GPCTD params - uncomment the following 2 lines if a GPCTD is installed in the glider
   %sg_configuration=3; %  selects GPCTD configuration
   %calibcomm=' GPCTD Serial #: 0022 CAL: 05-Dec-2010';%  Serial # and cal dat	

 % Seabird CT Sail sensor cal constants
     calibcomm=' Serial #: 0191  CAL: 23-Feb-22';%  Serial # and cal date
	 t_g=4.39654532e-003;
     t_h=6.41967860e-004;
     t_i=2.73391635e-005;
     t_j=3.45802182e-006;
     c_g=-9.97392422e+000;
     c_h=1.15966364e+000;
     c_i=-1.38509376e-003;
     c_j=1.90245395e-004;
     cpcor=-9.5700E-08; %EMB added 12nov2018 - GPVizScripts needs this
     ctcor=3.2500E-06; %EMB added 12nov2018 - GPVizScripts needs this

% % Seabird oxygen cal constants
%     comm_oxy_type='0';% spec "SBE_43f" or "Pumped_SBE_43f"
%     calibcomm_oxygen='0';%  Serial # and cal date
%     Soc=0.000000E+00;
%     Foffset=0.000000E+00;
%     o_a=0.000000E+00;
%     o_b=0.000000E+00;
%     o_c=0.000000E+00;
%     o_e=0.000000E+00;
%     Tau20=0.00;
%     Pcor=0;

% % CONTROS Hydroflash O2 sensor cal constants:  
%     comm_oxy_type =' Contros HydroFlash '; % type and model
%     calibcomm_contros_optode =' Serial #: DO-0816-008  CAL: 15-Aug-2016 '; %  Serial # and cal date
%     contopt_A_0=5.80871E+00;
%     contopt_A_1=3.20291E+00;
%     contopt_A_2=4.17887E+00;
%     contopt_A_3=5.1006E+00;
%     contopt_A_4=-9.86643E-02;
%     contopt_A_5=3.80369E+00;
%
%     contopt_B_0=-7.01577E-03;
%     contopt_B_1=-7.70028E-03;
%     contopt_B_2=-1.13864E-02;
%     contopt_B_3=-9.51519E-03;
%
%     contopt_C_0=-2.75915e-07;

% %   these values are for SN: DO-0816-008
% %   they are used to re-compute pO2 using the glider's CTD temp
%     contopt_CC_0=8.13E-03;
%     contopt_CC_1=6.40E-05;
%     contopt_CC_2=2.30E-07;
%     contopt_CC_3=6.36E-04;
%     contopt_CC_4=-5.45E-02;
%     contopt_CC_5=2.05E-02;
%     contopt_CC_6=3.33E-06;

% % Aanderaa 3830 cal constants
%     comm_oxy_type = ' AA3830 ';  % type and model
%     calibcomm_optode = ' SN: 000  CAL: 31-Feb-2014 '; % serial # and cal date
% 
%     optode_PhaseCoef0=0.1;
%     optode_PhaseCoef1=0.1;
%     optode_PhaseCoef2=0.1;
%     optode_PhaseCoef3=0.1;

%     optode_C00Coef=0.1;
%     optode_C01Coef=0.1;
%     optode_C02Coef=0.1;
%     optode_C03Coef=0.1;
% 
%     optode_C10Coef=0.1;
%     optode_C11Coef=0.1;
%     optode_C12Coef=0.1;
%     optode_C13Coef=0.1;
% 
%     optode_C20Coef=0.1;
%     optode_C21Coef=0.1;
%     optode_C22Coef=0.1;
%     optode_C23Coef=0.1;
% 
%     optode_C30Coef=0.1;
%     optode_C31Coef=0.1;
%     optode_C32Coef=0.1;
%     optode_C33Coef=0.1;
% 
%     optode_C40Coef=0.1;
%     optode_C41Coef=0.1;
%     optode_C42Coef=0.1;
%     optode_C43Coef=0.1;

 % Aanderaa cal constants
     comm_oxy_type=' AA4330 '; % make and model e.g. AA4831 or AA4330
     calibcomm_optode=' SN: 805  CAL: 23.04.2019 ';%  Serial # and cal date
 
     aa4330_TPhaseCoef0=-9.553927E+00;
     aa4330_TPhaseCoef1=1.164837E+00;
     aa4330_TPhaseCoef2=0.0;
     aa4330_TPhaseCoef3=0.0;
 
     aa4330_FoilCoefA0=-3.738569E-06;
     aa4330_FoilCoefA1=-8.656474E-06;
     aa4330_FoilCoefA2=2.206881E-03;
     aa4330_FoilCoefA3=-2.269625E-01;
     aa4330_FoilCoefA4=7.958562E-04;
     aa4330_FoilCoefA5=-6.780085E-07;
     aa4330_FoilCoefA6=1.189709E+01;
     aa4330_FoilCoefA7=-6.533028E-02;
     aa4330_FoilCoefA8=1.284304E-04;
     aa4330_FoilCoefA9=-2.894669E-07;
     aa4330_FoilCoefA10=-3.249648E+02;
     aa4330_FoilCoefA11=2.497815E+00;
     aa4330_FoilCoefA12=-7.050041E-03;
     aa4330_FoilCoefA13=-1.363821E-05;
 
     aa4330_FoilCoefB0=5.316651E-07;
     aa4330_FoilCoefB1=3.832035E+03;
     aa4330_FoilCoefB2=-3.871124E+01;
     aa4330_FoilCoefB3=1.475505E-01;
     aa4330_FoilCoefB4=-3.303319E-04;
     aa4330_FoilCoefB5=2.289283E-05;
     aa4330_FoilCoefB6=-5.008295E-07;
     aa4330_FoilCoefB7=0.0;
     aa4330_FoilCoefB8=0.0;
     aa4330_FoilCoefB9=0.0;
     aa4330_FoilCoefB10=0.0;
     aa4330_FoilCoefB11=0.0;
     aa4330_FoilCoefB12=0.0;
     aa4330_FoilCoefB13=0.0;

     cpcor=-9.5700E-08; %EMB added 12nov2018 - GPVizScripts needs this
     ctcor=3.2500E-06; %EMB added 12nov2018 - GPVizScripts needs this8=0.0;
     aa4330_ConcCoef0=-7.716535E-01;
     aa4330_ConcCoef1=1.084765E+00;

% % Biospherical PAR Calibration Constants and Device Properties
%     PARCalData_manufacturer='Biospherical Instruments, Inc';% Manufacturer
%     PARCalData_serialNumber=0;%  Serial #
%     PARCalData.calDate='26-May-2011';% cal date
%     PARCalData.darkOffset=10.6;% mv
%     PARCalData.scaleFactor=6.678E+00;% Volts/uE/cm^2sec

% %  WETLabs wlbb2fl calibration constants.
%     WETLabsCalData_wlbb2fl_calinfo = ' SN: BB2FLVMT-872, CAL: 31-Oct-2011 ';
% 
%     % Backscattering cal constants - wavelength 470
%     WETLabsCalData.wlbb2fl.Scatter470.wavelength=470;
%     WETLabsCalData.wlbb2fl.Scatter470.scaleFactor=3.0160E-06;
%     WETLabsCalData.wlbb2fl.Scatter470.darkCounts=49;
%     WETLabsCalData.wlbb2fl.Scatter470.resolution=1;
% 
%     % Backscattering cal constants - wavelength 700
%     WETLabsCalData.wlbb2fl.Scatter700.wavelength=700;
%     WETLabsCalData.wlbb2fl.Scatter700.scaleFactor=3.0160E-06;
%     WETLabsCalData.wlbb2fl.Scatter700.darkCounts=49;
%     WETLabsCalData.wlbb2fl.Scatter700.resolution=1;
% 
%     % Chlorophyll cal constants
%     WETLabsCalData.wlbb2fl.Chlorophyll.wavelength=695;
%     WETLabsCalData.wlbb2fl.Chlorophyll.darkCounts=48;
%     WETLabsCalData.wlbb2fl.Chlorophyll.scaleFactor=1.2000E-02;
%     WETLabsCalData.wlbb2fl.Chlorophyll.maxOutput=4130;
%     WETLabsCalData.wlbb2fl.Chlorophyll.resolution=1;
%     WETLabsCalData.wlbb2fl.Chlorophyll.calTemperature=23.5;

% % WETLabs wlbb3 calibration constants.
%     WETLabsCalData_wlbb3_calinfo = ' SN: BB3IRB-991, CAL: 01-May-2014 ';
% 
%     % Backscattering cal constants - wavelength 532
%     WETLabsCalData.wlbb3.Scatter532.wavelength=532;
%     WETLabsCalData.wlbb3.Scatter532.scaleFactor=7.560E-06;
%     WETLabsCalData.wlbb3.Scatter532.darkCounts=49;
%     WETLabsCalData.wlbb3.Scatter532.resolution=1.5;
% 
%     % Backscattering cal constants - wavelength 650
%     WETLabsCalData.wlbb3.Scatter650.wavelength=650;
%     WETLabsCalData.wlbb3.Scatter650.scaleFactor=3.703E-06;
%     WETLabsCalData.wlbb3.Scatter650.darkCounts=43;
%     WETLabsCalData.wlbb3.Scatter650.resolution=1.2;
% 
%     % Backscattering cal constants - wavelength 880
%     WETLabsCalData.wlbb3.Scatter880.wavelength=800;
%     WETLabsCalData.wlbb3.Scatter880.scaleFactor=2.139E-06;
%     WETLabsCalData.wlbb3.Scatter880.darkCounts=60;
%     WETLabsCalData.wlbb3.Scatter880.resolution=1.3;

% % WETLabs wlbbfl2 calibration constants.
%     WETLabsCalData_wlbbfl2_calinfo = ' SN: BBFL2VMT-817, CAL: 28-Mar-2011 ';
% 
%     % Backscattering cal constants - wavelength 532
%     WETLabsCalData.wlbbfl2.Scatter532.wavelength=532;
%     WETLabsCalData.wlbbfl2.Scatter532.scaleFactor=8.618E-06;
%     WETLabsCalData.wlbbfl2.Scatter532.darkCounts=43;
%     WETLabsCalData.wlbbfl2.Scatter532.resolution=1.0;
% 
%     % Chlorophyll cal constants
%     WETLabsCalData.wlbbfl2.Chlorophyll.wavelength=695;
%     WETLabsCalData.wlbbfl2.Chlorophyll.darkCounts=44;
%     WETLabsCalData.wlbbfl2.Chlorophyll.scaleFactor=1.2200E-02;
%     WETLabsCalData.wlbbfl2.Chlorophyll.maxOutput=4130;
%     WETLabsCalData.wlbbfl2.Chlorophyll.resolution=1.0;
%     WETLabsCalData.wlbbfl2.Chlorophyll.calTemperature=21.5;
% 
%     % CDOM cal constants
%     WETLabsCalData.wlbbfl2.CDOM.wavelength=460;
%     WETLabsCalData.wlbbfl2.CDOM.maxOutput=4130;
%     WETLabsCalData.wlbbfl2.CDOM.scaleFactor=8.9000E-02;
%     WETLabsCalData.wlbbfl2.CDOM.darkCounts=45;
%     WETLabsCalData.wlbbfl2.CDOM.resolution=0.9;
%     WETLabsCalData.wlbbfl2.CDOM.calTemperature=21.5;

% % WETLabs wlfl3 calibration constants.
%     WETLabsCalData_wlfl3_calinfo = ' SN: FL3IRB-2884, CAL: 30-Apr-2014 ';
% 
%     % Chlorophyll cal constants ug/l/count
%     WETLabsCalData.wlfl3.Chlorophyll.wavelength=695;
%     WETLabsCalData.wlfl3.Chlorophyll.darkCounts=38;
%     WETLabsCalData.wlfl3.Chlorophyll.scaleFactor=1.2000E-02;
%     WETLabsCalData.wlfl3.Chlorophyll.maxOutput=4130;
%     WETLabsCalData.wlfl3.Chlorophyll.resolution=1;
%     WETLabsCalData.wlfl3.Chlorophyll.calTemperature=21.0;
% 
%     % CDOM cal constants ppb/count
%     WETLabsCalData.wlfl3.CDOM.wavelength=460;
%     WETLabsCalData.wlfl3.CDOM.maxOutput=4130;
%     WETLabsCalData.wlfl3.CDOM.scaleFactor=9.8400E-02;
%     WETLabsCalData.wlfl3.CDOM.darkCounts=49;
%     WETLabsCalData.wlfl3.CDOM.resolution=1.0;
%     WETLabsCalData.wlfl3.CDOM.calTemperature=21.0;
% 
%     % Phycoerythrin cal constants ppb/count
%     WETLabsCalData.wlfl3.Phycoerythrin.wavelength=570;
%     WETLabsCalData.wlfl3.Phycoerythrin.maxOutput=4130;
%     WETLabsCalData.wlfl3.Phycoerythrin.scaleFactor=4.3200E-02;
%     WETLabsCalData.wlfl3.Phycoerythrin.darkCounts=46;
%     WETLabsCalData.wlfl3.Phycoerythrin.resolution=1.0;
%     WETLabsCalData.wlfl3.Phycoerythrin.calTemperature=21.0;
%
%     % Uranine cal constants ppb/count - wavelength 530 nm
%     WETLabsCalData.wlfl3.Uranine.wavelength=530;
%     WETLabsCalData.wlfl3.Uranine.maxOutput=4130;
%     WETLabsCalData.wlfl3.Uranine.scaleFactor=4.3200E-02;
%     WETLabsCalData.wlfl3.Uranine.darkCounts=46;
%     WETLabsCalData.wlfl3.Uranine.resolution=1.0;
%     WETLabsCalData.wlfl3.Uranine.calTemperature=21.0;
%
%     % Rhodamine cal constants ppb/count - wavelength 570 nm
%     WETLabsCalData.wlfl3.Rhodamine.wavelength=570;
%     WETLabsCalData.wlfl3.Rhodamine.maxOutput=4130;
%     WETLabsCalData.wlfl3.Rhodamine.scaleFactor=4.3200E-02;
%     WETLabsCalData.wlfl3.Rhodamine.darkCounts=46;
%     WETLabsCalData.wlfl3.Rhodamine.resolution=1.0;
%     WETLabsCalData.wlfl3.Rhodamine.calTemperature=21.0;
%
%     % Phycocyanin cal constants ppb/count - wavelength 680 nm
%     WETLabsCalData.wlfl3.Phycocyanin.wavelength=680;
%     WETLabsCalData.wlfl3.Phycocyanin.maxOutput=4130;
%     WETLabsCalData.wlfl3.Phycocyanin.scaleFactor=4.3200E-02;
%     WETLabsCalData.wlfl3.Phycocyanin.darkCounts=46;
%     WETLabsCalData.wlfl3.Phycocyanin.resolution=1.0;
%     WETLabsCalData.wlfl3.Phycocyanin.calTemperature=21.0;

% % WETLabs SeaOwl calibration constants.
%    WETLabsCalData_wlseaowl_calinfo = ' SN: SEAOWL2K-011, CAL: 12-SEPT-2016 ';
% 
%     % Backscattering cal constants - wavelength 700
%     WETLabsCalData.wlseaowl.Scatter700.wavelength=700;
%     WETLabsCalData.wlseaowl.Scatter700.scaleFactor=2.521E-07;
%     WETLabsCalData.wlseaowl.Scatter700.darkCounts=48;
%     WETLabsCalData.wlseaowl.Scatter700.maxOutput=4.03e-02  
% 
%     % Chlorophyll cal constants
%     WETLabsCalData.wlseaowl.Chlorophyll.wavelength=690;
%     WETLabsCalData.wlseaowl.Chlorophyll.darkCounts=49;
%     WETLabsCalData.wlseaowl.Chlorophyll.scaleFactor=1.601E-03;
%     WETLabsCalData.wlseaowl.Chlorophyll.maxOutput=4130;
%     WETLabsCalData.wlseaowl.Chlorophyll.resolution=1.5;
%    
%     % FDOM cal constants
%     WETLabsCalData.wlseaowl.FDOM.wavelength=460;
%     WETLabsCalData.wlseaowl.FDOM.maxOutput=1270;
%     WETLabsCalData.wlseaowl.FDOM.scaleFactor=7.935e-03;
%     WETLabsCalData.wlseaowl.FDOM.darkCounts=49;
%     WETLabsCalData.wlseaowl.FDOM.resolution=1.6;

% % WETLabs wlntufl2 calibration constants.
%    WETLabsCalData.wlntufl2.calinfo = ' SN:NTUFL2IRB - 1527, CAL: 13-Dec-2016 ';

%     % NTU cal constants - wavelength 700 nm
%     WETLabsCalData.wlntufl2.NT.wavelength=700;
%     WETLabsCalData.wlntufl2.NT.maxOutput=4130;
%     WETLabsCalData.wlntufl2.NT.scaleFactor=6.1E-03;
%     WETLabsCalData.wlntufl2.NT.darkCounts=50;
%     WETLabsCalData.wlntufl2.NT.resolution=1.0;
%     WETLabsCalData.wlntufl2.NT.calTemperature=22.5;
	   
%     % Chlorophyll cal constants - wavelength 695 nm
%     WETLabsCalData.wlntufl2.Chlorophyll.wavelength=695;
%     WETLabsCalData.wlntufl2.Chlorophyll.darkCounts=46;
%     WETLabsCalData.wlntufl2.Chlorophyll.scaleFactor=1.21E-02; 
%     WETLabsCalData.wlntufl2.Chlorophyll.maxOutput=4130;
%     WETLabsCalData.wlntufl2.Chlorophyll.resolution=1.0;
%     WETLabsCalData.wlntufl2.Chlorophyll.calTemperature=22.5;
	
%     % CDOM cal constants - wavelength 460 nm
%     WETLabsCalData.wlntufl2.CDOM.wavelength=460;
%     WETLabsCalData.wlntufl2.CDOM.darkCounts=46;
%     WETLabsCalData.wlntufl2.CDOM.scaleFactor=9.01E-02;
%     WETLabsCalData.wlntufl2.CDOM.maxOutput=4130;
%     WETLabsCalData.wlntufl2.CDOM.resolution=1.0;
%     WETLabsCalData.wlntufl2.CDOM.calTemperature=22.5;
